>From c23f1ac216469ba9e1e597bf8697847a190da39a Mon Sep 17 00:00:00 2001
From: Abhishek Koneru <akoneru@redhat.com>
Date: Thu, 30 May 2013 14:52:51 -0400
Subject: [PATCH] Code cleanup and fixing Pylint errors.

All the classes in pkihelper.py have functions rather than methods.
Currently an instance of all the classes is created when importing
the pkihelper module to access the methods, which is not required
and is also not a good practice. Since all the methods are just
utility functions and do not modify the state, it is sufficient to
mark them as static methods '@staticmethod' and access them by
calling className.<function name>.

Ticket #316 - Part 1
---
 .pydevproject                                      |   11 +-
 base/server/src/engine/pkihelper.py                |  484 +++++++++++---------
 base/server/src/scriptlets/configuration.py        |   57 ++-
 base/server/src/scriptlets/finalization.py         |   28 +-
 .../server/src/scriptlets/infrastructure_layout.py |   32 +-
 base/server/src/scriptlets/initialization.py       |   42 +-
 base/server/src/scriptlets/instance_layout.py      |  122 ++---
 base/server/src/scriptlets/security_databases.py   |   46 +-
 base/server/src/scriptlets/selinux_setup.py        |   10 +-
 base/server/src/scriptlets/slot_substitution.py    |   24 +-
 base/server/src/scriptlets/subsystem_layout.py     |   62 +--
 base/server/src/scriptlets/webapp_deployment.py    |   46 +-
 12 files changed, 520 insertions(+), 444 deletions(-)

diff --git a/.pydevproject b/.pydevproject
index a9cca037b33037ebc3232e6b63f3f00283463a4e..f7446f368246abb4080b171ea817b5563c581d02 100644
--- a/.pydevproject
+++ b/.pydevproject
@@ -1,7 +1,12 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?eclipse-pydev version="1.0"?>
-
-<pydev_project>
+<?eclipse-pydev version="1.0"?><pydev_project>
 <pydev_property name="org.python.pydev.PYTHON_PROJECT_INTERPRETER">Default</pydev_property>
 <pydev_property name="org.python.pydev.PYTHON_PROJECT_VERSION">python 2.7</pydev_property>
+<pydev_pathproperty name="org.python.pydev.PROJECT_SOURCE_PATH">
+<path>/DogTagCode/base/common/python/pki</path>
+<path>/DogTagCode/base/server/src</path>
+<path>/DogTagCode/base/server/python/pki/server</path>
+<path>/DogTagCode/base/server/src/engine</path>
+<path>/DogTagCode/base/server/src/scriptlets</path>
+</pydev_pathproperty>
 </pydev_project>
